Get layouts
curl --request GET \
--url https://api.smokeball.com/matters/{matterId}/layouts \
--header 'Authorization: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.smokeball.com/matters/{matterId}/layouts"
headers = {
"x-api-key": "<api-key>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>', Authorization: '<api-key>'}};
fetch('https://api.smokeball.com/matters/{matterId}/layouts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"value": [
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"name": "Item",
"description": "Text describing item",
"itemId": "59791902-6280-471b-bd18-f8439ba3042f",
"parentId": "Client",
"index": 0,
"parentIndex": 0,
"layoutDesign": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"values": [
{
"key": "<string>",
"value": "<string>",
"state": "<unknown>"
}
],
"events": [
{
"id": "<string>",
"appointmentId": "<string>"
}
]
}
]
}Layout Matter Items
Get layouts
Returns a collection of layout items on a specified matter.
GET
/
matters
/
{matterId}
/
layouts
Get layouts
Path Parameters
Matter Id
āI